Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Transport.cpp File Reference

`#include "Transport.h"`
`#include "LF_Follower.h"`
`#include "Leader_Follower.h"`
`#include "Client_Strategy_Factory.h"`
`#include "Wait_Strategy.h"`
`#include "Transport_Mux_Strategy.h"`
`#include "Stub.h"`
`#include "Sync_Strategies.h"`
`#include "Connection_Handler.h"`
`#include "Pluggable_Messaging.h"`
`#include "Synch_Queued_Message.h"`
`#include "Asynch_Queued_Message.h"`
`#include "Flushing_Strategy.h"`
`#include "Thread_Lane_Resources.h"`
`#include "Resume_Handle.h"`
`#include "Codeset_Manager.h"`
`#include "Codeset_Translator_Factory.h"`
`#include "ace/OS_NS_sys_time.h"`
`#include "ace/Reactor.h"`
`#include "Transport.inl"`

Include dependency graph for Transport.cpp:

## Defines
#define | DUMP_IOV_PREFIX "Transport[" ACE_SIZE_T_FORMAT_SPECIFIER "]::%s"
## Functions
const char * | get_rcsid_tao_Transport (const char *)
void | dump_iov (iovec *iov, int iovcnt, size_t id, size_t current_transfer, const char *location)
## Variables
const char * | rcsid_tao_Transport = get_rcsid_tao_Transport ( rcsid_tao_Transport )

## Define Documentation

#define DUMP_IOV_PREFIX "Transport[" ACE_SIZE_T_FORMAT_SPECIFIER "]::%s"

## Function Documentation

void dump_iov | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t | id,
|  | size_t | current_transfer,
|  | const char * | location
| ) | `[static]`

const char* get_rcsid_tao_Transport | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_tao_Transport = get_rcsid_tao_Transport ( rcsid_tao_Transport )`[static]`